{namespace n=GeorgRinger\News\ViewHelpers}
{namespace v=FluidTYPO3\Vhs\ViewHelpers}
<!--
	=====================
		Partials/List/DateItem.html
-->
<f:section name="content">
    <n:excludeDisplayedNews newsItem="{newsItem}"/>
    <div class="c-dates o-media" itemscope="itemscope" itemtype="http://schema.org/Event">
        <div class="c-dates__content o-media__body">
            <div class="c-date__upcoming-calendar" >
                <div class="c-date__upcoming-calendar-background{f:if(condition:iterator.isOdd, then: '-odd')}"></div>
                <v:variable.set name="act_month" value="{f:format.date(date:newsItem.datetime, format:'n')}" />
                <f:alias map="{month: {1: 'JAN', 2: 'FEB', 3: 'MRZ', 4: 'APR', 5: 'MAI', 6: 'JUN', 7: 'JUL', 8: 'AUG', 9: 'SEP', 10: 'OKT', 11: 'NOV', 12: 'DEZ'}}">
                    <div class="c-date__upcoming-text-month">{v:variable.get(name: 'month.{act_month}', useRawKeys: 1)}</div>
                </f:alias>
                <div class="c-date__upcoming-text-day{f:if(condition:iterator.isOdd, then: '-odd')}"><f:format.date format="d">{newsItem.datetime}</f:format.date></div>
            </div>
            <div class="c-teaser__meta  o-meta">
                <!-- date -->
                <span class="o-meta__date">
                    <time datetime="{f:format.date(date:newsItem.datetime, format:'d.m.y H:i')}">
                        <f:format.date format="d.m.y H:i">{newsItem.datetime}</f:format.date>
                        <meta itemprop="startDate"
                              content="{f:format.date(date:newsItem.datetime, format:'d.m.y H:i')}"/>
                    </time>
                </span>
                <v:variable.set name="eventStartDay" value="{f:format.date(date:newsItem.datetime, format:'j')}" />
                <v:variable.set name="eventEndDay" value="{f:format.date(date:newsItem.datetimeEnd, format:'j')}" />

                <f:if condition="{newsItem.datetimeEnd}">
                    <f:if condition="{eventEndDay} > {eventStartDay}">
                    <f:then>
                        <v:variable.set name="eventEnd" value="{f:format.date(date:newsItem.datetimeEnd, format:'d.m.y H:i')}" />
                    </f:then>
                    <f:else>
                        <v:variable.set name="eventEnd" value="{f:format.date(date:newsItem.datetimeEnd, format:'H:i')}" />
                    </f:else>
                </f:if>
                    <span class="o-meta__date">
                        -
                        <time datetime="{f:format.date(date:newsItem.datetimeEnd, format:'d.m.y H:i')}">
                            {eventEnd}
                            <meta itemprop="endDate"
                                  content="{f:format.date(date:newsItem.datetimeEnd, format:'d.m.y H:i')}"/>
                        </time>
                    </span>
                </f:if>
            </div>
            <!-- header -->
            <div class="c-date__title">
                <n:link class="o-cms-content__date-link" newsItem="{newsItem}" settings="{settings}"
                        title="{newsItem.title}">
                    <span itemprop="name">{newsItem.title}</span>
                </n:link>
            </div>
            <div style="clear: both;"></div>
        </div>
    </div>
</f:section>